Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.novell.service.server
Interface ServerVersions

public interface ServerVersions

Provides a specific attribute of a ServerDirContext. The ID of the attribute is equal to ATTR_ID, and the attribute value is an object that implements this interface.

This attribute supports expanded search capabilities. Use the setSearchFields() and getSearchFields() methods to control which fields are used when performing a search. If the searchFields are not explicitly set, then all fields are used by default.

Field Summary
`static int` | `ACCOUNT_VERSION` The Account Version constant for use in the search field.
`static java.lang.String` | `ATTR_ID` The attribute ID of this attribute.
`static java.lang.String` | `attrID` Deprecated. This member will be removed. Use ATTR_ID instead.
`static int` | `INTERNET_BRIDGE_VERSION` The Internet Bridge Version constant for use in the search field.
`static int` | `MAJOR_VERSION` The Major Version constant for use in the search field.
`static int` | `MINOR_VERSION` The Minor Version constant for use in the search field.
`static int` | `PRINT_VERSION` The Print Version constant for use in the search field.
`static int` | `QUEUE_VERSION` The Queue Version constant for use in the search field.
`static int` | `REVISION` The Revision constant for use in the search field.
`static int` | `SECURITY_VERSION` The Security Version constant for use in the search field.
`static int` | `VIRTUAL_CONSOLE_VERSION` The Virtual Console Version constant for use in the search field.

Method Summary
`byte` | `getAccountVersion()` Returns the account version of the server.
`byte` | `getInternetBridgeVersion()` Returns the Internet bridge version number of the server.
`byte` | `getMajorVersion()` Returns the major version of the server.
`byte` | `getMinorVersion()` Returns the minor version of the server.
`byte` | `getPrintVersion()` Returns the print version number of the server.
`byte` | `getQueueVersion()` Returns the queue version number of the server.
`byte` | `getRevision()` Returns the revision number of the server.
`int` | `getSearchFields()` Returns the fields currently set to be used when performing a search.
`byte` | `getSecurityVersion()` Returns the security version number of the server.
`byte` | `getVirtualConsoleVersion()` Returns the virtual console version number of the server.
`void` | `setAccountVersion(byte value)` Sets the account version number of the server as the search value.
`void` | `setInternetBridgeVersion(byte value)` Sets the Internet bridge version number of the server as the search value.
`void` | `setMajorVersion(byte value)` Sets the major version number of the server as the search value.
`void` | `setMinorVersion(byte value)` Sets the minor version number of the server as the search value.
`void` | `setPrintVersion(byte value)` Sets the print version number of the server as the search value.
`void` | `setQueueVersion(byte value)` Sets the minor queue version number of the server as the search value.
`void` | `setRevision(byte value)` Sets the revision number of the server as the search value.
`void` | `setSearchFields(int fields)` Sets the fields to be used when performing a search.
`void` | `setSecurityVersion(byte value)` Sets the security version number of the server as the search value.
`void` | `setVirtualConsoleVersion(byte value)` Sets the virtual console version number of the server as the search value.

Field Detail

### ATTR_ID

    public static final java.lang.String ATTR_ID

  The attribute ID of this attribute. (ATTR_ID = "ServerVersions")

### attrID

    public static final java.lang.String attrID

  Deprecated. This member will be removed. Use ATTR_ID instead.

### MAJOR_VERSION

    public static final int MAJOR_VERSION

  The Major Version constant for use in the search field.

  (MAJOR_VERSION = 0x0001)

### MINOR_VERSION

    public static final int MINOR_VERSION

  The Minor Version constant for use in the search field.

  (MINOR_VERSION = 0x0002)

### REVISION

    public static final int REVISION

  The Revision constant for use in the search field.

  (REVISION = 0x0004)

### ACCOUNT_VERSION

    public static final int ACCOUNT_VERSION

  The Account Version constant for use in the search field.

  (ACCOUNT_VERSION = 0x0008)

### QUEUE_VERSION

    public static final int QUEUE_VERSION

  The Queue Version constant for use in the search field.

  (QUEUE_VERSION = 0x0010)

### PRINT_VERSION

    public static final int PRINT_VERSION

  The Print Version constant for use in the search field.

  (PRINT_VERSION = 0x0020)

### VIRTUAL_CONSOLE_VERSION

    public static final int VIRTUAL_CONSOLE_VERSION

  The Virtual Console Version constant for use in the search field.

  (VIRTUAL_CONSOLE_VERSION = 0x0040)

### SECURITY_VERSION

    public static final int SECURITY_VERSION

  The Security Version constant for use in the search field.

  (SECURITY_VERSION = 0x0080)

### INTERNET_BRIDGE_VERSION

    public static final int INTERNET_BRIDGE_VERSION

  The Internet Bridge Version constant for use in the search field.

  (INTERNET_BRIDGE_VERSION = 0x0100)

Method Detail

### setSearchFields

    public void setSearchFields(int fields)

  Sets the fields to be used when performing a search. Use the constants defined in this interface as the value of the fields parameter. Multiple fields can be bitwise OR'ed together to search on multiple fields.
  Parameters:
    `fields` - The fields to be used in the search.

### getSearchFields

    public int getSearchFields()

  Returns the fields currently set to be used when performing a search.
  Returns:
    The search fields currently set.

### getMajorVersion

    public byte getMajorVersion()
                         throws com.novell.service.jncp.NSIException

  Returns the major version of the server.
  Returns:
    The major version number.
  Throws:
    com.novell.service.jncp.NSIException - Standard NJCL exception for working on top of Xplat libraries.

### getMinorVersion

    public byte getMinorVersion()
                         throws com.novell.service.jncp.NSIException

  Returns the minor version of the server.
  Returns:
    The minor version number.
  Throws:
    com.novell.service.jncp.NSIException - Standard NJCL exception for working on top of Xplat libraries.

### getRevision

    public byte getRevision()
                     throws com.novell.service.jncp.NSIException

  Returns the revision number of the server.
  Returns:
    The revision number.
  Throws:
    com.novell.service.jncp.NSIException - Standard NJCL exception for working on top of Xplat libraries.

### getAccountVersion

    public byte getAccountVersion()
                           throws com.novell.service.jncp.NSIException

  Returns the account version of the server.
  Returns:
    The account version number.
  Throws:
    com.novell.service.jncp.NSIException - Standard NJCL exception for working on top of Xplat libraries.

### getQueueVersion

    public byte getQueueVersion()
                         throws com.novell.service.jncp.NSIException

  Returns the queue version number of the server.
  Returns:
    The queue version number.
  Throws:
    com.novell.service.jncp.NSIException - Standard NJCL exception for working on top of Xplat libraries.

### getPrintVersion

    public byte getPrintVersion()
                         throws com.novell.service.jncp.NSIException

  Returns the print version number of the server.
  Returns:
    The print version number.
  Throws:
    com.novell.service.jncp.NSIException - Standard NJCL exception for working on top of Xplat libraries.

### getVirtualConsoleVersion

    public byte getVirtualConsoleVersion()
                                  throws com.novell.service.jncp.NSIException

  Returns the virtual console version number of the server.
  Returns:
    The virtual console version number.
  Throws:
    com.novell.service.jncp.NSIException - Standard NJCL exception for working on top of Xplat libraries.

### getSecurityVersion

    public byte getSecurityVersion()
                            throws com.novell.service.jncp.NSIException

  Returns the security version number of the server.
  Returns:
    The security version number.
  Throws:
    com.novell.service.jncp.NSIException - Standard NJCL exception for working on top of Xplat libraries.

### getInternetBridgeVersion

    public byte getInternetBridgeVersion()
                                  throws com.novell.service.jncp.NSIException

  Returns the Internet bridge version number of the server.
  Returns:
    The Internet bridge version number.
  Throws:
    com.novell.service.jncp.NSIException - Standard NJCL exception for working on top of Xplat libraries.

### setMajorVersion

    public void setMajorVersion(byte value)
                         throws com.novell.service.jncp.NSIException

  Sets the major version number of the server as the search value. This is used to search for all servers matching the value parameter.
  Parameters:
    `value` - The major version number.
  Throws:
    com.novell.service.jncp.NSIException - Standard NJCL exception for working on top of Xplat libraries.

### setMinorVersion

    public void setMinorVersion(byte value)
                         throws com.novell.service.jncp.NSIException

  Sets the minor version number of the server as the search value. This is used to search for all servers matching the value parameter.
  Parameters:
    `value` - The minor version number.
  Throws:
    com.novell.service.jncp.NSIException - Standard NJCL exception for working on top of Xplat libraries.

### setRevision

    public void setRevision(byte value)
                     throws com.novell.service.jncp.NSIException

  Sets the revision number of the server as the search value. This is used to search for all servers matching the value parameter.
  Parameters:
    `value` - The revision number.
  Throws:
    com.novell.service.jncp.NSIException - Standard NJCL exception for working on top of Xplat libraries.

### setAccountVersion

    public void setAccountVersion(byte value)
                           throws com.novell.service.jncp.NSIException

  Sets the account version number of the server as the search value. This is used to search for all servers matching the value parameter.
  Parameters:
    `value` - The account version number.
  Throws:
    com.novell.service.jncp.NSIException - Standard NJCL exception for working on top of Xplat libraries.

### setQueueVersion

    public void setQueueVersion(byte value)
                         throws com.novell.service.jncp.NSIException

  Sets the minor queue version number of the server as the search value. This is used to search for all servers matching the value parameter.
  Parameters:
    `value` - The queue version number.
  Throws:
    com.novell.service.jncp.NSIException - Standard NJCL exception for working on top of Xplat libraries.

### setPrintVersion

    public void setPrintVersion(byte value)
                         throws com.novell.service.jncp.NSIException

  Sets the print version number of the server as the search value. This is used to search for all servers matching the value parameter.
  Parameters:
    `value` - The print version number.
  Throws:
    com.novell.service.jncp.NSIException - Standard NJCL exception for working on top of Xplat libraries.

### setVirtualConsoleVersion

    public void setVirtualConsoleVersion(byte value)
                                  throws com.novell.service.jncp.NSIException

  Sets the virtual console version number of the server as the search value. This is used to search for all servers matching the value parameter.
  Parameters:
    `value` - The virtual console version number.
  Throws:
    com.novell.service.jncp.NSIException - Standard NJCL exception for working on top of Xplat libraries.

### setSecurityVersion

    public void setSecurityVersion(byte value)
                            throws com.novell.service.jncp.NSIException

  Sets the security version number of the server as the search value. This is used to search for all servers matching the value parameter.
  Parameters:
    `value` - The security version number.
  Throws:
    com.novell.service.jncp.NSIException - Standard NJCL exception for working on top of Xplat libraries.

### setInternetBridgeVersion

    public void setInternetBridgeVersion(byte value)
                                  throws com.novell.service.jncp.NSIException

  Sets the Internet bridge version number of the server as the search value. This is used to search for all servers matching the value parameter.
  Parameters:
    `value` - The Internet bridge version number.
  Throws:
    com.novell.service.jncp.NSIException - Standard NJCL exception for working on top of Xplat libraries.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD